[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetMouseCapture

Gets the value for the MouseCapture property.

## Declaration

Source position: controls.pp line 1526

`protected function TControl.GetMouseCapture: Boolean; virtual;`

## Function result

True when the current class instance is the LCL CaptureControl.

## Description

Indicates if the class instance is the current CaptureControl for the LCL framework. The property value is True when the following condition are satisfied:

- Parent is assigned (not Nil).
- Parent has an allocated window handle.
- The value in the LCL CaptureContol variable is the current class instance.

## See also

TControl.MouseCapture |  | True when mouse messages are currently captured by this control.
GetCaptureControl |  | Returns the TControl instance with mouse capture enabled.